
/******************************************************************************
* MODULE     : fft_test.cpp
* DESCRIPTION: Test FFT
* COPYRIGHT  : (C) 2005  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "fft.hpp"
using namespace mmx;

#define K modular<FFTP>

template<typename C> C*
make (nat n) {
  C* a= new C[n];
  for (nat i=0; i<n; i++)
    a[i]= i*i;
  return a;
}

int
main () {
  int n,j;
  K* a;
  K* b;
  for(n=2; n < 520; n<<=1) {
    a= make<K> (n);
    b= make<K> (n);
    //print (a, n);
    fft (a, n, false);
    //print (a, n);
    fft (a, n, true);
    //print (a, n);
    for(j=0; j<n; ++j)
      assert(a[j]==b[j]);
    cout << "FFT on " << n << " entries works\n";
    delete[] a;
    delete[] b;
  }
  return 0;
}
