AC_DEFUN([AC_LIB_ALGEBRAMIX], [
    PATH="$PATH:$PWD/../algebramix/src/algebramix/script"
    AC_MSG_CHECKING([whether algebramix library is installed])
    AH_TEMPLATE([HAVE_ALGEBRAMIX],[Define if you have the algebramix library])
    ALGEBRAMIX_CPPFLAGS=`algebramix-config --cppflags`
    ALGEBRAMIX_LIBS=`algebramix-config --libs`
    CPPFLAGS="$CPPFLAGS $ALGEBRAMIX_CPPFLAGS"
    LIBS="$LIBS $ALGEBRAMIX_LIBS"
    AC_TRY_LINK(
        [
#include <iostream>
#include "dense_vector.hpp"
        ],
        [std::cout << mmx::vec<mmx::nat> (1, 2, 3, 4) << "\n";],
        [AC_DEFINE([HAVE_ALGEBRAMIX],[])],
        AC_MSG_RESULT([no]);AC_MSG_ERROR([missing library: algebramix]))
    AC_MSG_RESULT([yes])
])

AC_DEFUN([AC_WITH_ALGEBRAMIX], [
    AC_ARG_WITH(algebramix,
	[  --with-algebramix=DIR        Algebramix installation directory],
	with_algebramix=$withval)

    if test "$with_algebramix" != ""; then
        PATH="$with_algebramix/bin:$PATH"
    fi
])
