
/******************************************************************************
* MODULE     : mmx_identifiers.cpp
* DESCRIPTION: Global definitions for common function names
* COPYRIGHT  : (C) 2004  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "mmx_identifiers.hpp"
#include "string.hpp"
namespace mmx {

string MMX_BEGIN ("begin");
string MMX_BREAK ("break");
string MMX_CASE ("case");
string MMX_CONTINUE ("continue");
string MMX_ELSE ("else");
string MMX_ERROR ("error");
string MMX_EXISTS ("exists");
string MMX_FOR ("for");
string MMX_FORALL ("forall");
string MMX_GENERATE ("generate");
string MMX_IF ("if");
string MMX_IN ("in");
string MMX_LAMBDA ("lambda");
string MMX_LOOP ("loop");
string MMX_RETURN ("return");
string MMX_STEP ("step");
string MMX_UNTIL ("until");
string MMX_WHILE ("while");
string MMX_YIELD ("yield");

string MMX_DEFINE ("==");
string MMX_ASSIGN (":=");
string MMX_PLUS_ASSIGN ("+=");
string MMX_MINUS_ASSIGN ("-=");
string MMX_TIMES_ASSIGN ("*=");
string MMX_OVER_ASSIGN ("/=");
string MMX_LESSLESS ("<<");
string MMX_GTRGTR (">>");
string MMX_IMPLIES ("=>");
string MMX_EQUIV ("<=>");
string MMX_OR ("\\/");
string MMX_SEQOR ("or");
string MMX_XOR ("xor");
string MMX_AND ("/\\");
string MMX_SEQAND ("and");
string MMX_EQUAL ("=");
string MMX_UNEQUAL ("!=");
string MMX_LESS ("<");
string MMX_LESSEQ ("<=");
string MMX_GTR (">");
string MMX_GTREQ (">=");
string MMX_HAS ("has");
string MMX_TYPE (":");
string MMX_TRANSTYPE (":>");
string MMX_INTO ("->");
string MMX_MAPSTO (":->");
string MMX_RANGE ("::");
string MMX_RANGEEQ ("..");
string MMX_PLUS ("+");
string MMX_TIMES ("*");
string MMX_OVER ("/");
string MMX_DIV ("div");
string MMX_MOD ("mod");
string MMX_COMPOSE ("@");
string MMX_SIZE ("#");
string MMX_NOT ("!");
string MMX_MINUS ("-");
string MMX_POWER ("^");
string MMX_FACTORIAL (".!");
string MMX_PRIME ("'");
string MMX_DOT (".");
string MMX_APPLY (".()");
string MMX_ACCESS (".[]");
string MMX_TUPLE ("()");
string MMX_SQTUPLE ("[]");
string MMX_ROW ("(.)");
string MMX_COMMA (",");
string MMX_SEMICOLON (";");
string MMX_WHERE ("|");
string MMX_VWHERE ("||");

string MMX_CATALAN ("mathcatalan");
string MMX_D ("mathd");
string MMX_DELTA ("delta");
string MMX_E ("mathe");
string MMX_EULER ("matheuler");
string MMX_FUZZ ("Fuzz");
string MMX_I ("mathi");
string MMX_INFINITY ("Infty");
string MMX_NAN ("NaN");
string MMX_PARTIAL ("partial");
string MMX_PI ("mathpi");

string MMX_HARD_EQ ("hard_eq");
string MMX_HARD_NEQ ("hard_neq");
string MMX_EQ ("eq");
string MMX_NEQ ("neq");
string MMX_MELT ("melt");
string MMX_FUSE ("fuse");
string MMX_SQRT ("sqrt");
string MMX_EXP ("exp");
string MMX_LOG ("log");
string MMX_COS ("cos");
string MMX_SIN ("sin");
string MMX_TAN ("tan");
string MMX_ARCCOS ("arccos");
string MMX_ARCSIN ("arcsin");
string MMX_ARCTAN ("arctan");
string MMX_MIN ("min");
string MMX_MAX ("max");
string MMX_ABS ("abs");
string MMX_ARG ("arg");
string MMX_RE ("Re");
string MMX_IM ("Im");
string MMX_CONJ ("conj");
string MMX_DERIVE ("%derive");
string MMX_DERIVATIVE ("derivative");
string MMX_GRAD ("grad");
string MMX_INTEGRATE ("integrate");
string MMX_SUBSTITUTE ("substitute");
string MMX_SOLVE ("solve");

} // namespace mmx
