
/******************************************************************************
* MODULE     : basix_utils.hpp
* DESCRIPTION: Basic inclusions, definitions and routines
* COPYRIGHT  : (C) 2003  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#ifndef __MMX_BASIX_UTILS_HPP
#define __MMX_BASIX_UTILS_HPP
#include "string.hpp"

namespace mmx {

nat mmx_time ();
nat mmx_user_time();

string get_env (const string& var);
int system (const string& s);
void init_system ();
string eval_system (const string& s);

bool file_exists (const string& file_name);
string file_in_path (const string& file_path, const string& file_name);
string get_dir_name (const string& name);
string get_file_name (const string& name);

bool load (const string& file_name, string& s, bool decode);
bool load (const string& fp, const string& file_name, string& s, bool decode);
bool save (const string& file_name, const string& s, bool decode);

bool dl_exists (const string& name);
string dl_link (const string& name);

} // namespace mmx
#endif // __MMX_BASIX_UTILS_HPP
