
/******************************************************************************
* MODULE     : gnumerix.cpp
* DESCRIPTION: Basic inclusions, definitions and routines
* COPYRIGHT  : (C) 2003  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "rational.hpp"
#include "glue.hpp"
namespace mmx {

generic
simple_construct_integer (const integer& i) {
  return generic (as_string (i));
}

generic
simple_construct_rational (const rational& x) {
  if (den (x) == 1) return generic (as_string (num (x)));
  return generic (as_string (num (x))) / generic (as_string (den (x)));
}

void
gnumerix_init () {
  mp_set_memory_functions (mmx_malloc, mmx_realloc, mmx_free);
  select_output_evaluator ();  
  define_constructor<always> (simple_construct_integer);
  define_constructor<always> (simple_construct_rational);
  restore_evaluator ();
}

INITIALIZER(gnumerix_init);

} // namespace mmx
